package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.SpecialHobby;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/3/10 14:02
 */
@Component
public class BEH0049 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        SpecialHobby specialHobby = inputInfo.getBeHospitalizedDoc().getPersonalLabel().getSpecialHobby();
        if (specialHobby != null && StringUtil.isNotBlank(specialHobby.getName())) {
            status = "0";
        }
    }

}