package com.lantone.qc.trans.changx;

import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.trans.DocTrans;
import com.lantone.qc.trans.comsis.ModelDocGenerate;
import com.lantone.qc.trans.comsis.Preproc;

/**
 * @ClassName : TaiZhouDocTrans
 * @Description :
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:47
 */
public class ChangxDocTrans extends DocTrans {

    @Override
    protected InputInfo extract(QueryVo queryVo) {
        InputInfo inputInfo = new InputInfo();
        for (MedrecVo i : queryVo.getMedrec()) {
            if (i.getTitle().equals("入院记录")) {
                BeHospitalizedDocTrans beHospitalizedDocTrans = new BeHospitalizedDocTrans();
                beHospitalizedDocTrans.setPreproc(getPreproc());
                beHospitalizedDocTrans.setModelDocGenerate(getModelDocGenerate());
                inputInfo.setBeHospitalizedDoc(beHospitalizedDocTrans.extract(i));
            }
        }
        return inputInfo;
    }

}